Bug 17841 - reboot wont work on compaq
Summary: reboot wont work on compaq
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact:
URL:
Whiteboard:
Keywords:
: 52367 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-25 23:50 UTC by Steven Taylor
Modified: 2008-08-01 16:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steven Taylor 2000-09-25 23:50:50 UTC
Compaq Deskpro EN PII 350 hangs after reboot command, while trying to
re-initialize bios. Have to power off then turn it back on (no reset
button) to restart.

Comment 1 Bailey, Greg 2000-09-26 18:33:07 UTC
I've observed the same behavior on a Compaq Professional Workstation SP700


Comment 2 Alan Cox 2000-10-01 02:19:46 UTC
You can change the reboot method but really its up to the BIOS to restart
correctly from a hard
reset as Linux does.

There are several options for rebooting a PC. Linux defaults to a cold reboot
via reset

w - warm reboot
c - cold reboot (default)

and the methods

b - bios reboot
h - hard reboot (default)

You can set these on the boot comand line by eg

Lilo: linux reboot=b,c     (for a cold bios reboot)

If that works then you can use append= in lilo.conf to set it by default

Fundamentally though I dont think its a Linux problem, let me know if the b,c
cures it on these
compaqs though.


Comment 3 Billy Taylor 2000-10-05 14:59:55 UTC
I have the same problem on an AP400, and
no combination of warm/cold, biod/hard fixes it.

None of the previous comments seem to mention that in
6.2 (for example), there is no problem with rebooting.
Does rh7.0 do something different from rh6.2?


Comment 4 Pieter Krul 2000-10-06 17:03:58 UTC
I'm experiencing the same sort of problem with a Compaq Deskpro 4000
P5 233, 128MB memory, standard RH 7.0.
On a warm reboot, booting gets stuck on lilo's `L', same with reboot=b,c
in lilo.conf
Hard reboots work fine.

There's no diagnostics partition anymore on this machine, and Linux boots of
a SCSI disk attached to an Adaptec PCI SCSI card.

Comment 5 kjt99 2000-10-08 15:05:51 UTC
alan,

i have the same problen on my presario 4508 duel boot with nt, i have a 12 meg
fat, then installed nt, by default the nt loader and noot.ini will be installed
on the fat partition, i then upgraded from 6.1 to 7.0 and the system will not
reboot, i have to shutdown then turn off/on the system to boot, yes lilo is
installed in the mbr, forgive me if i seam to be a novice but what must the boot
line look like in lilo.conf to add the b,c parameter, i assume after i edit
lilo.cong i can just run /sbin/lilo to update lilo.cong, here is my current
lilo.conf.

boot = /dev/hda
timeout = 50
compact
linear
prompt
   message = /boot/message
   default = linux
   vga = normal
   read-only
map=/boot/map
install=/boot/boot.b
image = /boot/vmlinuz-2.2.16-22
   label = linux
   root = /dev/hda7
other = /dev/hda1
   label = dos

thanx
kjt


Comment 6 Billy Taylor 2001-05-09 09:41:59 UTC
The problem is still in RH7.1


Comment 7 Need Real Name 2001-08-25 00:25:45 UTC
Apologies, but I think I've duplicated this bug in bugzilla report # 52367. 
Please check 52367 for more details regarding this bug.

Comment 8 Alan Cox 2003-06-05 20:25:01 UTC
*** Bug 52367 has been marked as a duplicate of this bug. ***

Comment 9 Luca 'FISH' PERSICO 2004-06-21 20:39:02 UTC
Hello there!

I had a similar problem on a Clevo 2700S laptop. I simply solved it
putting the option:
reboot=bios
among the arguments of the kernel line in grub.conf.

Many thanks to everybody.

Luca "FISH" PERSICO

Comment 10 Bugzilla owner 2004-09-30 15:38:49 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.